# arm_pid_instance_f32 Struct Reference

Instance structure for the floating-point PID Control. More...

`#include <arm_math.h>`

## Data Fields

float32_t | A0
float32_t | A1
float32_t | A2
float32_t | state [3]
float32_t | Kp
float32_t | Ki
float32_t | Kd

## Detailed Description

Instance structure for the floating-point PID Control.

Definition at line 1697 of file arm_math.h.

## Field Documentation

float32_t arm_pid_instance_f32::A0

The derived gain, A0 = Kp + Ki + Kd .

Definition at line 1699 of file arm_math.h.

float32_t arm_pid_instance_f32::A1

The derived gain, A1 = -Kp - 2Kd.

Definition at line 1700 of file arm_math.h.

float32_t arm_pid_instance_f32::A2

The derived gain, A2 = Kd .

Definition at line 1701 of file arm_math.h.

float32_t arm_pid_instance_f32::state[3]

The state array of length 3.

Definition at line 1702 of file arm_math.h.

float32_t arm_pid_instance_f32::Kp

The proportional gain.

Definition at line 1703 of file arm_math.h.

float32_t arm_pid_instance_f32::Ki

The integral gain.

Definition at line 1704 of file arm_math.h.

float32_t arm_pid_instance_f32::Kd

The derivative gain.

Definition at line 1705 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines